33 Commits (master)

Author SHA1 Message Date
Dan Helfman 4897a78fd3 Fix database tests broken by PostgreSQL upgrade in Alpine Edge. 7 months ago
Dan Helfman 1f4f28b4dc Drop support for Python 3.5. Only support black code formatter on Python 3.8+. 8 months ago
Dan Helfman 464ff2fe96 Run end-to-end tests on developer machines with Docker Compose for approximate parity with continuous integration tests. 2 years ago
Dan Helfman b8b888090d Select Postgres service to work with particular client version. 2 years ago
Dan Helfman abd31a94fb Ports fix? 2 years ago
Dan Helfman 01e2cf08d1 Fix Drone CI services syntax. 2 years ago
Dan Helfman 9f821862b7 End-to-end tests for database dump and restore. 2 years ago
Dan Helfman 93f453cecf Add Python 3.8 to build matrix. 2 years ago
Dan Helfman cf4c6c274d Upgrade build to Alpine 3.10. 2 years ago
Dan Helfman b816af1b13 Undo purge. 2 years ago
Dan Helfman 7cfab3620b Don't prune docs image after push, so watchtower can pick it up. 2 years ago
Dan Helfman bc4fb322b5 Move documenation build step last in CI. Refactor docs build scripts. 2 years ago
Dan Helfman 2c4f192e43 Attempt to build documentation image in CI. 2 years ago
Dan Helfman 61f46c5ad5 Try without explicit "sh". 2 years ago
Dan Helfman aad47d1741 bash -> sh. 2 years ago
Dan Helfman 079dd3fe4c Another try. 2 years ago
Dan Helfman d47f1bff4d Try to run script. 2 years ago
Dan Helfman f5a70dc2a5 Drone + jsonnet apparently requires an extension, so switching back to plain YAML. 2 years ago
Dan Helfman 31ae1013d7 Add missing close curly. 2 years ago
Dan Helfman 071945e558 Re-order. 2 years ago
Dan Helfman 5c4d6a6e83 Upgrade Drone build file format from 0.8 to 1.x. 2 years ago
Dan Helfman 60b1f9921d Don't use pip wrapper script in CI. 2 years ago
Dan Helfman ed2c6053de Upgrade pip to a particular version during local test and CI. 2 years ago
Dan Helfman 25c320b281 Pin pip version: cherrypick of witten/borgmatic#172 2 years ago
Luke Murphy 82ec45e375
Pin tox version 2 years ago
Dan Helfman f5e1e8bec9 In continuous integration build matrix, use newer Alpine 3.9 instead of 3.8. 2 years ago
Dan Helfman eb2a4ff1f0 Add Python 3.5 to continuous integration. 3 years ago
Dan Helfman 90c1f899fc Use newer Alpine (with newer version of Borg) in matrix builds. 3 years ago
Dan Helfman a0691ae4cd Run continuous integration tests on a matrix of Python and Borg versions. 3 years ago
Dan Helfman 3ce5533103 Make end-to-end test clean up after itself, and drop unnecessary use of Docker for it. 3 years ago
Dan Helfman 4a1ee8c911 Pull new base Docker images during CI. 3 years ago
Dan Helfman fd3130b4d9 Install tox before using it. 3 years ago
Dan Helfman 4bcc517326 Attempted Drone CI configuration. 3 years ago